petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerASCIIRead

Reads from am ASCII file

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIRead(PetscViewer viewer,void *data,PetscInt num,PetscInt *count,PetscDataType dtype)

Collective on MPI_Comm

### Input Parameters

| viewer | - the ascii viewer
| data | - location to write the data
| num | - number of items of data to read
| datatype | - type of data to read

### Output Parameters

count -number of items of data actually read, or NULL

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscViewerBinaryRead()

### Level

beginner

### Location

src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages